Last-Modified: Wed, 29 Jul 2026 18:32:26 GMT
Expires: Sat, 26 Jul 2036 18:32:26 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>IDS « Modules « Embedded « Embedded_SW « Software - Tango - Twine softwares</title>
<meta name='generator' content='cgit v1.3.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.tvcloud.fr/Tango/atom/Software/Embedded_SW/Embedded/Modules/IDS?h=software' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.tvcloud.fr/Tango' title='Tango Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/Tango/'>Tango</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='afa0b927386a8f71f5794d8263792e65cd9a2120'/><select name='h' onchange='this.form.submit();'>
<option value='software' selected='selected'>software</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Twine softwares</td><td class='sub right'>Thomas Vanbesien</td></tr></table>
<table class='tabs'><tr><td>
<a href='/Tango/about/?h=software'>about</a><a href='/Tango/?h=software'>summary</a><a href='/Tango/refs/?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>refs</a><a href='/Tango/log/Software/Embedded_SW/Embedded/Modules/IDS?h=software'>log</a><a class='active' href='/Tango/tree/Software/Embedded_SW/Embedded/Modules/IDS?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>tree</a><a href='/Tango/commit/Software/Embedded_SW/Embedded/Modules/IDS?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>commit</a><a href='/Tango/diff/Software/Embedded_SW/Embedded/Modules/IDS?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>diff</a><a href='/Tango/stats/Software/Embedded_SW/Embedded/Modules/IDS?h=software'>stats</a></td><td class='form'><form class='right' method='get' action='/Tango/log/Software/Embedded_SW/Embedded/Modules/IDS'>
<input type='hidden' name='h' value='software'/><input type='hidden' name='id' value='afa0b927386a8f71f5794d8263792e65cd9a2120'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/Tango/tree/?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>root</a>/<a href='/Tango/tree/Software?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>Software</a>/<a href='/Tango/tree/Software/Embedded_SW?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>Embedded_SW</a>/<a href='/Tango/tree/Software/Embedded_SW/Embedded?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>Embedded</a>/<a href='/Tango/tree/Software/Embedded_SW/Embedded/Modules?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>Modules</a>/<a href='/Tango/tree/Software/Embedded_SW/Embedded/Modules/IDS?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>IDS</a></div><div class='content'><table summary='tree listing' class='list'>
<tr class='nohover'><th class='left'>Mode</th><th class='left'>Name</th><th class='right'>Size</th><th/></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob h' href='/Tango/tree/Software/Embedded_SW/Embedded/Modules/IDS/IDS.h?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>IDS.h</a></td><td class='ls-size'>541</td><td><a class='button' href='/Tango/log/Software/Embedded_SW/Embedded/Modules/IDS/IDS.h?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>log</a><a class='button' href='/Tango/stats/Software/Embedded_SW/Embedded/Modules/IDS/IDS.h?h=software'>stats</a><a class='button' href='/Tango/plain/Software/Embedded_SW/Embedded/Modules/IDS/IDS.h?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob c' href='/Tango/tree/Software/Embedded_SW/Embedded/Modules/IDS/IDS_BIT.c?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>IDS_BIT.c</a></td><td class='ls-size'>0</td><td><a class='button' href='/Tango/log/Software/Embedded_SW/Embedded/Modules/IDS/IDS_BIT.c?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>log</a><a class='button' href='/Tango/stats/Software/Embedded_SW/Embedded/Modules/IDS/IDS_BIT.c?h=software'>stats</a><a class='button' href='/Tango/plain/Software/Embedded_SW/Embedded/Modules/IDS/IDS_BIT.c?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>plain</a></td></tr>
<tr><td class='ls-mode'>-rw-r--r--</td><td><a class='ls-blob h' href='/Tango/tree/Software/Embedded_SW/Embedded/Modules/IDS/IDS_ex.h?h=software&amp;id=afa0b927386a8f71f5794d8263792e65cd9a2120'>IDS_ex.h</a></td><td class='ls-size'>696</t<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="ch">#!/bin/bash</span>

<span class="k">if</span><span class="w"> </span><span class="o">[[</span><span class="w"> </span><span class="nv">$#</span><span class="w"> </span>!<span class="o">=</span><span class="w"> </span><span class="m">1</span><span class="w"> </span><span class="o">||</span><span class="w"> </span><span class="nv">$1</span><span class="w"> </span><span class="o">==</span><span class="w"> </span>*help<span class="w"> </span><span class="o">]]</span>
<span class="k">then</span>
<span class="w">  </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;usage: </span><span class="nv">$0</span><span class="s2"> regexp&quot;</span>
<span class="w">  </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;  Builds tests matching the regexp.&quot;</span>
<span class="w">  </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;  The EIGEN_MAKE_ARGS environment variable allows to pass args to &#39;make&#39;.&quot;</span>
<span class="w">  </span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;    For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS=&#39;-j5&#39;&quot;</span>
<span class="w">  </span><span class="nb">exit</span><span class="w"> </span><span class="m">0</span>
<span class="k">fi</span>

<span class="nv">TESTSLIST</span><span class="o">=</span><span class="s2">&quot;@EIGEN_TESTS_LIST@&quot;</span>
<span class="nv">targets_to_make</span><span class="o">=</span><span class="sb">`</span><span class="nb">echo</span><span class="w"> </span><span class="s2">&quot;</span><span class="nv">$TESTSLIST</span><span class="s2">&quot;</span><span class="w"> </span><span class="p">|</span><span class="w"> </span>egrep<span class="w"> </span><span class="s2">&quot;</span><span class="nv">$1</span><span class="s2">&quot;</span><span class="w"> </span><span class="p">|</span><span class="w"> </span>xargs<span class="w"> </span><span class="nb">echo</span><span class="sb">`</span>

<span class="k">if</span><span class="w"> </span><span class="o">[</span><span class="w"> </span>-n<span class="w"> </span><span class="s2">&quot;</span><span class="si">${</span><span class="nv">EIGEN_MAKE_ARGS</span><span class="p">:+x</span><span class="si">}</span><span class="s2">&quot;</span><span class="w"> </span><span class="o">]</span>
<span class="k">then</span>
<span class="w">  </span>@CMAKE_MAKE_PROGRAM@<span class="w"> </span><span class="nv">$targets_to_make</span><span class="w"> </span><span class="si">${</span><span class="nv">EIGEN_MAKE_ARGS</span><span class="si">}</span>
<span class="k">else</span>
<span class="w">  </span>@CMAKE_MAKE_PROGRAM@<span class="w"> </span><span class="nv">$targets_to_make</span><span class="w"> </span>@EIGEN_TEST_BUILD_FLAGS@
<span class="k">fi</span>
<span class="nb">exit</span><span class="w"> </span><span class="nv">$?</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.3.1</a> (<a href='https://git-scm.com/'>git 2.54.0</a>) at 2026-07-29 18:32:26 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
